mapMod = ...

mapMod:registerAssetId("maps/heightmap.png",  MOD_NS .. "HEIGHT_MAP")
mapMod:registerAssetId("maps/material_mask_blendmap.png", MOD_NS .. "MATERIAL_MASK")
mapMod:registerAssetId("maps/A_coniferous_density.png", MOD_NS .. "CONIFEROUS_DENSITY_MAP")
mapMod:registerAssetId("maps/A_deciduous_density.png", MOD_NS .. "DECIDUOUS_DENSITY_MAP")
mapMod:registerAssetId("maps/shrubs_density.png", MOD_NS .. "SHRUBS_DENSITY_MAP")
mapMod:registerAssetId("maps/chamomile_density.png", MOD_NS .. "CHAMOMILE_DENSITY_MAP")
mapMod:registerAssetId("maps/cornflower_density.png", MOD_NS .. "CORNFLOWER_DENSITY_MAP")
mapMod:registerAssetId("maps/popies_density.png", MOD_NS .. "POPPIES_DENSITY_MAP")
mapMod:registerAssetId("maps/fish_density.png", MOD_NS .. "FISH_DENSITY_MAP")
mapMod:registerAssetId("maps/small_rocks_low_density_map.png", MOD_NS .. "SMALL_ROCKS_DENSITY_MAP")

local tallBeechScale = {
	Min = 0.8,
	Max = 1.2
}

local NATURE_NS = "JK_" 




local orientation = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					}
mapMod:register({
	DataType = "CUSTOM_MAP",
	Id = "JK_MAP_2_NAME",
	HeightMap =  MOD_NS .. "HEIGHT_MAP",
	MaterialMask = MOD_NS .. "MATERIAL_MASK",
	MinHeight = -11,
	MaxHeight = 100,
	VillagePathList = {
		{
			Entrance = { 858.768982, 43.268829, 10 },
			Exit = { 858.768982, 43.268829, 10 }
		},
		{
			Entrance = { 11.791945, 18.587276, 404.941528 },
			Exit = { 11.791945, 18.587276, 404.941528 }
		},
		{
			Entrance = { 560.628174, 19.370239, 1007.063171 },
			Exit = { 560.628174, 19.370239, 1007.063171 }
		},
		{
			Entrance = { 1008.770386, 6.186493, 662.787354 },
			Exit = { 1008.770386, 6.186493, 662.787354 }
		},
	},
	DensitySpawnList = {
		{
			DensityMap = MOD_NS .. "FISH_DENSITY_MAP",
			Density = 1,
			PrefabConfigList = {
				{
					PrefabList = { "PREFAB_RESOURCE_FISH" },
					RandomWeight = 1,
					OffsetSizeRange = {
						Min = 0.75,
						Max = 1
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 0.85,
						Max = 1.25
					},
					ColorRange = {
						Min = { 1, 1, 1, 1 },
						Max = { 1, 1, 1, 1 }
					}
				}
			}
		},
		{
			-- Create forest of Deciduous trees and a few pine
			DensityMap = MOD_NS .. "DECIDUOUS_DENSITY_MAP",
			Density = 0.30,
			PrefabConfigList = {
				{
					PrefabList = { NATURE_NS .. "PREFAB_OAK_A" },
					RandomWeight = 4,
					OffsetSizeRange = {
						Min = 0.5,
						Max = 2
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 1.0,
						Max = 1.1
					},
					ColorRange = {
						Min = { 0.6, 0.6, 0.6, 1 },
						Max = { 1.0, 1.0, 1.0, 1 }
					}
				},
				{
					PrefabList = { NATURE_NS .. "PREFAB_OAK_B" },
					RandomWeight = 0.5,
					OffsetSizeRange = {
						Min = 0.5,
						Max = 1
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 1.0,
						Max = 1.1
					},
					ColorRange = {
						Min = { 0.6, 0.6, 0.6, 1 },
						Max = { 1.0, 1.0, 1.0, 1 }
					}
				},
				{
					PrefabList = { NATURE_NS .. "PREFAB_OAK_C" },
					RandomWeight = 5,
					OffsetSizeRange = {
						Min = 0.7,
						Max = 1
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = tallBeechScale,
					ColorRange = {
						Min = { 0.6, 0.6, 0.6, 1 },
						Max = { 1.0, 1.0, 1.0, 1 }
					}
				},
				{
					PrefabList = { NATURE_NS .. "PREFAB_TREES_OAK_A" },
					RandomWeight = 0.5,
					OffsetSizeRange = {
						Min = 0.7,
						Max = 1
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = tallBeechScale,
					ColorRange = {
						Min = { 0.6, 0.6, 0.6, 1 },
						Max = { 1.0, 1.0, 1.0, 1 }
					}
				},
				{
					PrefabList = { NATURE_NS .. "PREFAB_BEECH_A" },
					RandomWeight = 4,
					OffsetSizeRange = {
						Min = 0.8,
						Max = 1.5
					},
					OrientationRange = {
						Min = { -2, -180, -2},
						Max = { 2, 180, 2}
					},
					ScaleRange = {
						Min = 1.0,
						Max = 1.1
					},
					ColorRange = {
						Min = { 0.7, 0.7, 0.7, 1 },
						Max = { 1, 1, 1, 1 }
					}
				},
				{
					PrefabList = { NATURE_NS .. "PREFAB_BEECH_B" },
					RandomWeight = 3,
					OffsetSizeRange = {
						Min = 0.8,
						Max = 1.2
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = tallBeechScale,
					ColorRange = {
						Min = { 0.8, 0.8, 0.8, 1 },
						Max = { 1, 1, 1, 1 }
					}
				}, {
					PrefabList = { NATURE_NS .. "PREFAB_BEECH_C" },
					RandomWeight = 3,
					OffsetSizeRange = {
						Min = 0.8,
						Max = 1.2
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = tallBeechScale,
					ColorRange = {
						Min = { 0.8, 0.8, 0.8, 1 },
						Max = { 1, 1, 1, 1 }
					}
				},
				{
					PrefabList = { NATURE_NS .. "PREFAB_BEECH_D" },
					RandomWeight = 2,
					OffsetSizeRange = {
						Min = 0.8,
						Max = 1.2
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = tallBeechScale,
					ColorRange = {
						Min = { 0.8, 0.8, 0.8, 1 },
						Max = { 1, 1, 1, 1 }
					}
				},
				{
					PrefabList = { NATURE_NS .. "PREFAB_BEECH_SAPLING_A" },
					RandomWeight = 2,
					OffsetSizeRange = {
						Min = 1,
						Max = 1.2
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 1,
						Max = 2
					},
					ColorRange = {
						Min = { 0.8, 0.8, 0.8, 1 },
						Max = { 1, 1, 1, 1 }
					}
				},
				{
					PrefabList = { NATURE_NS .. "PREFAB_MAPLE_A" },
					RandomWeight = 2,
					OffsetSizeRange = {
						Min = 1,
						Max = 1.2
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 1.0,
						Max = 1.3
					},
					ColorRange = {
						Min = { 0.5, 0.5, 0.5, 1 },
						Max = { 1, 1, 1, 1 }
					}
				},
				{
					PrefabList = { NATURE_NS .. "PREFAB_MAPLE_B" },
					RandomWeight = 2,
					OffsetSizeRange = {
						Min = 1,
						Max = 1.2
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 0.9,
						Max = 1.2
					},
					ColorRange = {
						Min = { 0.5, 0.5, 0.5, 1 },
						Max = { 1, 1, 1, 1 }
					}
				},
				{
					PrefabList = { NATURE_NS .. "PREFAB_BIRCH_A" },
					RandomWeight = 2,
					OffsetSizeRange = {
						Min = 0.9,
						Max = 1.3
					},
					OrientationRange = {
						Min = { -5, -180, -5},
						Max = { 5, 180, 5}
					},
					ScaleRange = {
						Min = 1.0,
						Max = 1.5
					},
					ColorRange = {
						Min = { 0.6, 0.6, 0.6, 1 },
						Max = { 1, 1, 1, 1 }
					}
				},
				{
					PrefabList = { NATURE_NS .. "PREFAB_BIRCH_B" },
					RandomWeight = 2,
					OffsetSizeRange = {
						Min = 0.9,
						Max = 1.3
					},
					OrientationRange = {
						Min = { -5, -180, -5},
						Max = { 5, 180, 5}
					},
					ScaleRange = {
						Min = 1.0,
						Max = 1.5
					},
					ColorRange = {
						Min = { 0.6, 0.6, 0.6, 1 },
						Max = { 1, 1, 1, 1 }
					}
				},
				{
					PrefabList = { NATURE_NS .. "PREFAB_BIRCH_C" },
					RandomWeight = 2,
					OffsetSizeRange = {
						Min = 0.9,
						Max = 1.3
					},
					OrientationRange = {
						Min = { -5, -180, -5},
						Max = { 5, 180, 5}
					},
					ScaleRange = {
						Min = 1.0,
						Max = 1.5
					},
					ColorRange = {
						Min = { 0.6, 0.6, 0.6, 1 },
						Max = { 1, 1, 1, 1 }
					}
				}
			}
		},
		{
			-- Create forest of Deciduous trees and a few pine  ,
			DensityMap = MOD_NS .. "SHRUBS_DENSITY_MAP",
			Density = 0.2,
			PrefabConfigList = {
				{
					PrefabList = { NATURE_NS .. "PREFAB_SHRUB_A", NATURE_NS .. "PREFAB_SHRUB_FERN" },
					RandomWeight = 4,
					OffsetSizeRange = {
						Min = 0.5,
						Max = 2
					},
					OrientationRange = {
						Min = { -5, -180, -5},
						Max = { 5, 180, 5}
					},
					ScaleRange = {
						Min = 1.1,
						Max = 1.5
					},
					ColorRange = {
						Min = { 0.8, 0.8, 0.8, 1 },
						Max = { 1, 1, 1, 1 }
					}
				},
				{
					PrefabList = { NATURE_NS .. "PREFAB_SHRUB_LAVENDER" },
					RandomWeight = 0.5,
					OffsetSizeRange = {
						Min = 0.5,
						Max = 2
					},
					OrientationRange = {
						Min = { -5, -180, -5},
						Max = { 5, 180, 5}
					},
					ScaleRange = {
						Min = 1.1,
						Max = 1.5
					},
					ColorRange = {
						Min = { 0.8, 0.8, 0.8, 1 },
						Max = { 1, 1, 1, 1 }
					}
				},
				{
					PrefabList = { NATURE_NS .. "PREFAB_SHRUB_FORSYTHIA" },
					RandomWeight = 0.5,
					OffsetSizeRange = {
						Min = 0.5,
						Max = 2
					},
					OrientationRange = {
						Min = { -5, -180, -5},
						Max = { 5, 180, 5}
					},
					ScaleRange = {
						Min = 1.1,
						Max = 1.5
					},
					ColorRange = {
						Min = { 0.8, 0.8, 0.8, 1 },
						Max = { 1, 1, 1, 1 }
					}
				},
				{
					PrefabList = { NATURE_NS .. "PREFAB_SHRUB_STEPHANANDRA" },
					RandomWeight = 0.5,
					OffsetSizeRange = {
						Min = 0.5,
						Max = 2
					},
					OrientationRange = {
						Min = { -5, -180, -5},
						Max = { 5, 180, 5}
					},
					ScaleRange = {
						Min = 1.1,
						Max = 1.5
					},
					ColorRange = {
						Min = { 0.8, 0.8, 0.8, 1 },
						Max = { 1, 1, 1, 1 }
					}
				},
				{
					PrefabList = { NATURE_NS .. "PREFAB_MUSHROOM" },
					RandomWeight = 0.1,
					OffsetSizeRange = {
						Min = 0.75,
						Max = 1
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 0.85,
						Max = 1.25
					},
					ColorRange = {
						Min = { 1, 1, 1, 1 },
						Max = { 1, 1, 1, 1 }
					}
				}
			}
		},
		{
			DensityMap = MOD_NS .. "SMALL_ROCKS_DENSITY_MAP",
			Density = 0.07,
			PrefabConfigList = {
				{
					PrefabList = { MOD_NS .. "TV_MAP_SMALL_ROCK_SMALL_A_PREFAB", MOD_NS .. "TV_MAP_SMALL_ROCK_SMALL_B_PREFAB",
						MOD_NS .. "TV_MAP_SMALL_ROCK_SMALL_C_PREFAB" },
					RandomWeight = 2,
					OffsetSizeRange = {
						Min = 0.9,
						Max = 1.3
					},
					OrientationRange = {
						Min = { -5, -180, -5},
						Max = { 5, 180, 5}
					},
					ScaleRange = {
						Min = 0.5,
						Max = 1.5
					},
					ColorRange = {
						Min = { 0.8, 0.8, 0.8, 1 },
						Max = { 1, 1, 1, 1 }
					}
				},
			}
		},
		{
			-- Create forest of Deciduous trees and a few pine
			DensityMap = MOD_NS .. "CHAMOMILE_DENSITY_MAP",
			Density = 0.1,
			PrefabConfigList = {
				{
					PrefabList = { NATURE_NS .. "PREFAB_FLOWER_CHAMOMILE" },
					RandomWeight = 4,
					OffsetSizeRange = {
						Min = 0.5,
						Max = 2
					},
					OrientationRange = {
						Min = { -5, -180, -5},
						Max = { 5, 180, 5}
					},
					ScaleRange = {
						Min = 1.0,
						Max = 1.1
					},
					ColorRange = {
						Min = { 0.8, 0.8, 0.8, 1 },
						Max = { 1, 1, 1, 1 }
					}
				}
			}
		},
		{
			-- Create forest of Deciduous trees and a few pine
			DensityMap = MOD_NS .. "CORNFLOWER_DENSITY_MAP",
			Density = 0.8,
			PrefabConfigList = {
				{
					PrefabList = { NATURE_NS .. "PREFAB_FLOWER_CORNFLOWER" },
					RandomWeight = 4,
					OffsetSizeRange = {
						Min = 0.5,
						Max = 2
					},
					OrientationRange = {
						Min = { -5, -180, -5},
						Max = { 5, 180, 5}
					},
					ScaleRange = {
						Min = 1.0,
						Max = 1.1
					},
					ColorRange = {
						Min = { 0.9, 0.9, 0.9, 1 },
						Max = { 1, 1, 1, 1 }
					}
				}
			}
		},
		{
			-- Create forest of Deciduous trees and a few pine
			DensityMap = MOD_NS .. "POPPIES_DENSITY_MAP",
			Density = 0.2,
			PrefabConfigList = {
				{
					PrefabList = { NATURE_NS .. "PREFAB_FLOWER_POPPIES" },
					RandomWeight = 4,
					OffsetSizeRange = {
						Min = 0.5,
						Max = 2
					},
					OrientationRange = {
						Min = { -5, -180, -5},
						Max = { 5, 180, 5}
					},
					ScaleRange = {
						Min = 1.0,
						Max = 1.1
					},
					ColorRange = {
						Min = { 0.8, 0.8, 0.8, 1 },
						Max = { 1, 1, 1, 1 }
					}
				}
			}
		},
		{
			-- Create forest of Pine Trees
			DensityMap = MOD_NS .. "CONIFEROUS_DENSITY_MAP",
			Density = 0.45,
			PrefabConfigList = {
				{
					PrefabList = { NATURE_NS .. "PREFAB_PINE_A" },
					RandomWeight = 3,
					OffsetSizeRange = {
						Min = 0.9,
						Max = 1.1
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 0.9,
						Max = 1.15
					},
					ColorRange = {
						Min = { 0.6, 0.6, 0.6, 1 },
						Max = { 1.0, 1.0, 1.0, 1 },
						LockValues = false
					}
				},
				{
					PrefabList = { NATURE_NS .. "PREFAB_PINE_B" },
					RandomWeight = 1,
					OffsetSizeRange = {
						Min = 1,
						Max = 1.2
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 1.0,
						Max = 1.1
					},
					ColorRange = {
						Min = { 0.5, 0.5, 0.5, 1 },
						Max = { 1.0, 1.0, 1.0, 1 }
					}
				},
				{
					PrefabList = { NATURE_NS .. "PREFAB_TREES_PINE_A" },
					RandomWeight = 1.4,
					OffsetSizeRange = {
						Min = 0.9,
						Max = 1.1
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 0.9,
						Max = 1.05
					},
					ColorRange = {
						Min = { 0.5, 0.5, 0.5, 1 },
						Max = { 1.0, 1.0, 1.0, 1},
						LockValues = false
					}
				},
				{
					PrefabList = { NATURE_NS .. "PREFAB_PINE_C" },
					RandomWeight = 0.5,
					OffsetSizeRange = {
						Min = 1,
						Max = 1.2
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 1.0,
						Max = 1.1
					},
					ColorRange = {
						Min = { 0.8, 0.8, 0.8, 1 },
						Max = { 0.9, 0.9, 0.9, 1 }
					}
				},
			}
		},
	},
	SpawnList = {
		{ Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			882.965942, 
			29.509094, 
			734.459717
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			874.226746, 
			26.650696, 
			727.803406
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			853.527893, 
			53.332703, 
			534.875732
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			907.229675, 
			54.615540, 
			525.032593
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			946.224731, 
			93.429626, 
			425.942291
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			990.970215, 
			93.978210, 
			495.438171
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			859.333801, 
			44.263855, 
			420.055237
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			870.333801, 
			55.263855, 
			450.055237
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} },
		{ Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = { 830.662415, 43.404358, 50.789055}, Orientation = { 0, 0.747355, 0, 0.664425} },
 		{ Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = { 792.127930, 72.634460, 32.683792}, Orientation = { 0, -0.442169, 0, 0.896932} },
		{ Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = { 277.025330, 14.976318, 550.298401}, Orientation = { 0, 0.716697, 0, 0.697385} },
		{ Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = { 684.411987, 10.346619, 471.191589}, Orientation = { 0, 0, 0, 1} },
		{ Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = { 653.310974, 10.569214, 580.164551}, Orientation = { 0, 0, 0, 1} },
		{ Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = { 561.574463, 10.622131, 638.228699}, Orientation = { 0, 0, 0, 1} },
		{ Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = { 521.146240, 10.090881, 632.691528}, Orientation = { 0, 0.384243, 0, 0.923232} },
		{ Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = { 703.081665, 11.416931, 306.146423}, Orientation = { 0, 0.274698, 0, 0.961531} },
		{ Prefab =  NATURE_NS .. "PREFAB_BERRY_BUSH", Position = { 271.457001, 11.450378, 564.057617}, Orientation = { 0, 0.448103, 0, 0.893982} },
		{ Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = { 738.314941, 14.180847, 330.947144}, Orientation = { 0, -0.208460, 0, 0.978031} },
		{ Prefab = "PREFAB_RESOURCE_ROCK", Position = { 728.178589, 13.282471, 317.725494}, Orientation = { 0, 0.274698, 0, 0.961531} },
		{ Prefab = "PREFAB_RESOURCE_ROCK", Position = { 720.635498, 7.260040, 478.002563}, Orientation = { 0, 0.274698, 0, 0.961531} },
		{ Prefab = "PREFAB_RESOURCE_ROCK", Position = { 648.110352, 9.657043, 558.116821}, Orientation = { 0, 0.274698, 0, 0.961531} },
		{ Prefab = "PREFAB_RESOURCE_ROCK", Position = { 565.200806, 8.106476, 609.065002}, Orientation = { 0, 0.274698, 0, 0.961531} },
	    { Prefab = "PREFAB_RESOURCE_ROCK", Position = { 256.602875, 12.126709, 557.187195}, Orientation = { 0, 0.640708, 0, 0.767785} },
		{ Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			735.328003, 
			4.025208, 
			735.695068
		}, Orientation = {
			0, 
			-0.058040, 
			0, 
			0.998314
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			729.896973, 
			4.752502, 
			722.472168
		}, Orientation = {
			0, 
			-0.058040, 
			0, 
			0.998314
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			677.380493, 
			54.323975, 
			868.038818
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			489.480103, 
			3.071960, 
			761.324402
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			485.698334, 
			5.876831, 
			779.033020
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			350.778595, 
			19.345459, 
			754.855957
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			340.778595, 
			19.345459, 
			759.855957
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			498.957733, 
			28.089783, 
			909.203064
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			275.211426, 
			22.498047, 
			896.722778
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			244.394012, 
			26.343323, 
			875.237915
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			222.827927, 
			25.408691, 
			761.187256
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			48.491531, 
			39.046814, 
			919.470703
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			22.014511, 
			40.396057, 
			924.410278
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			34.660202, 
			33.398743, 
			802.929626
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			201.886566, 
			27.614380, 
			642.722656
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			267.508392, 
			25.054932, 
			608.633423
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			257.312866, 
			21.212769, 
			433.983154
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			267.542725, 
			20.153259, 
			437.214783
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			366.796143, 
			13.032349, 
			487.476898
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			424.406128, 
			21.419617, 
			586.107666
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			512.331360, 
			14.484741, 
			558.409546
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			544.028442, 
			2.385376, 
			654.133179
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			602.450684, 
			4.195984, 
			639.971436
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			417.754395, 
			21.856812, 
			593.082397
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			118.048706, 
			25.370239, 
			445.040192
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			124.377609, 
			24.485840, 
			445.314728
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			111.972626, 
			25.066345, 
			430.190277
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			689.154297, 
			27.218323, 
			286.964355
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			647.405273, 
			36.114319, 
			305.772766
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			496.531372, 
			14.336975, 
			273.382019
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			573.820007, 
			30.684326, 
			413.279663
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			707.904663, 
			24.683289, 
			287.638184
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			428.597931, 
			31.167175, 
			111.646164
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			413.643524, 
			35.343689, 
			116.723801
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			323.496826, 
			39.192200, 
			101.834351
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			318.024506, 
			37.450012, 
			99.232094
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			296.244934, 
			30.650085, 
			120.098503
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			88.283417, 
			27.046692, 
			57.748344
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			146.939423, 
			37.578003, 
			91.964233
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			142.207153, 
			36.263733, 
			95.355354
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			146.869568, 
			37.392029, 
			101.370613
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			94.993256, 
			15.136719, 
			231.938446
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			514.735596, 
			33.321411, 
			54.343536
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			650.326904, 
			35.462708, 
			45.821274
		}, Orientation = {
			0, 
			-0.264873, 
			0,
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			815.186035, 
			6.980347, 
			18.623291
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH", Position = {
			972.647522, 
			34.452026, 
			224.219025
		}, Orientation = {
			0, 
			-0.824205, 
			0, 
			0.566291
		} },
		{ Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH",
			Position = {
				373.884552, 
				18.299438, 
				733.482666
			}, Orientation = {
				0, 
				-0.276523, 
				0, 
				0.961007
			}
		},
		{ Prefab = NATURE_NS .. "PREFAB_BERRY_BUSH",
			Position = {
				386.141022, 
				15.047913, 
				760.039307
			}, Orientation = {
				0, 
				-0.276523, 
				0, 
				0.961007
			}
		},
	}
})